package com.dbs.consentServer.service;

import java.util.HashMap;

import com.dbs.consentServer.DTO.saveFormDTO.SaveConsentFormDTO;
import com.dbs.consentServer.mapper.SaveFormMapper;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SaveFormService {
  @Autowired
  public SaveFormMapper saveFormMapper;

  public int getSequence(HashMap<String, Object> params) {
    return saveFormMapper.getSequence(params);
  }

  public int setSequence(HashMap<String, Object> params) {
    return saveFormMapper.setSequence(params);
  }

  public int updateSequence(HashMap<String, Object> params) {
    return saveFormMapper.updateSequence(params);
  }

  public int insertConsentMaster(SaveConsentFormDTO saveConsentFormDTO) {
    return saveFormMapper.insertConsentMaster(saveConsentFormDTO);
  }

  public int insertConsentData(SaveConsentFormDTO saveConsentFormDTO) {
    return saveFormMapper.insertConsentData(saveConsentFormDTO);
  }
}